import skia

def draw(canvas):
    conicPaint = skia.Paint()
    conicPaint.setAntiAlias(True)
    conicPaint.setStyle(skia.Paint.kStroke_Style)
    quadPaint = skia.Paint(conicPaint)
    quadPaint.setColor(skia.ColorRED)
    conic = [ (20, 170), (80, 170), (80, 230) ];
    for weight in [ .25, .5, .707, .85, 1. ]:
        quads = skia.Path.ConvertConicToQuads(conic[0], conic[1], conic[2], weight, 1)
        print(quads)
        path = skia.Path()
        path.moveTo(conic[0])
        path.conicTo(conic[1], conic[2], weight)
        canvas.drawPath(path, conicPaint)
        path.rewind()
        path.moveTo(quads[0])
        path.quadTo(quads[1], quads[2])
        path.quadTo(quads[3], quads[4])
        canvas.drawPath(path, quadPaint)
        canvas.translate(50, -50)

surface = skia.Surface(1000, 1000)
with surface as canvas:
    canvas.clear(skia.ColorWHITE)
    draw(canvas)

image = surface.makeImageSnapshot()
image.save("test.png")
